### File

`packages/components/layout/eui-toolbar/toolbar-logo/toolbar-logo.component.ts`

### Implements

`OnInit`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
encapsulation | `ViewEncapsulation.None`
selector | `eui-toolbar-logo`
templateUrl | `./toolbar-logo.component.html`

### Index

###### Properties
class
###### Methods
onClick
###### Inputs
homeUrl logoHeight logoUrl logoWidth
###### HostBindings
class
###### HostListeners
click

### Inputs

homeUrl
Type : `string`
Default value : `'..'`

logoHeight
Type : `string`
Default value : `'36px'`

logoUrl
Type : `string`

logoWidth
Type : `string`
Default value : `'53px'`

### HostBindings

class
Type : `string`
Default value : `'eui-toolbar-logo'`

### HostListeners

click
`click()`

### Methods

onClick
`onClick()`
Decorators : `@HostListener('click')`
Returns : `void`

### Properties

class
Type : `string`
Default value : `'eui-toolbar-logo'`
Decorators : `@HostBinding()`

# results matching ""

# No results matching ""